#ifndef SAVE
#define SAVE
#include "ubl-utils.h"
#include "model.h"
char* template_format_save(vector* vec_temp);
char* save_format_key(config_u_g_p* _config, int index);
char* save_str_users(config_u_g_p* _config, int index, char* start_split);
char* save_format_str_value(config_u_g_p* config, int index);
char* save_format_status_cmd(disk_status* config_disk_status, config_u_g_p* config);
char* template_format_remove_save(config_all* _all_config, char* source_remove_cmd);
void save_remove_array(config_all* _all_config);
int save_check_save(config_all* _all_config);
int wrapper_template_save(config_all* _all_config, char* source_set_cmd, char* source_remove_cmd);
#endif